Graph::NodeIt Class Reference

- Main Page
- Modules
- Classes
- Namespaces
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
List of all members | Public Member Functions
Graph::NodeIt Class Reference

## Detailed Description

This iterator goes through each node of the graph. Its usage is quite simple, for example, you can count the number of nodes in a graph `g` of type `Graph` like this:

* int count=0;
* for (Graph::NodeIt n(g); n!=INVALID; ++n) ++count;
*

`#include <lemon/concepts/graph.h>`

Inheritance diagram for Graph::NodeIt:
[legend]

## Public Member Functions
| NodeIt ()
| Default constructor. More...
| NodeIt (const NodeIt &n)
| Copy constructor. More...
| NodeIt (Invalid)
| Invalid constructor & conversion. More...
| NodeIt (const Graph &)
| Sets the iterator to the first node. More...
| NodeIt (const Graph &, const Node &)
| Sets the iterator to the given node. More...
NodeIt & | operator++ ()
| Next node. More...
Public Member Functions inherited from Graph::Node
| Node ()
| Default constructor. More...
| Node (const Node &)
| Copy constructor. More...
| Node (Invalid)
| Invalid constructor & conversion. More...
bool | operator== (Node) const
| Equality operator. More...
bool | operator!= (Node) const
| Inequality operator. More...
bool | operator< (Node) const
| Artificial ordering operator. More...

## Constructor & Destructor Documentation

NodeIt | ( |  | ) |
| inline

Default constructor.

Warning
  It sets the iterator to an undefined value.

NodeIt | ( | const NodeIt & | n | ) |
| inline

Copy constructor.

NodeIt | ( | Invalid |  | ) |
| inline

Initializes the iterator to be invalid.

See Also
  Invalid for more details.

NodeIt | ( | const Graph & |  | ) |
| inlineexplicit

Sets the iterator to the first node of the given digraph.

NodeIt | ( | const Graph & | ,
|  | const Node & |
| ) |  |
| inline

Sets the iterator to the given node of the given digraph.

## Member Function Documentation

NodeIt& operator++ | ( |  | ) |
| inline

Assign the iterator to the next node.